﻿@{
    List<ClientPlanning> Model = ViewBag.PlanningItems;
    int i = 0;
}
<div class="modal" id="planningModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document" style="max-width:540px;">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Planning Areas</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true" class="ki ki-close"></i>
                </button>
            </div>
            <form action="/home/saveplanningitems" id="frm-planning-items">
                <input id="IsPlanningCompleted" value="@(Model.Count > 0 ? true : false)" type="hidden" />
                <div class="modal-body">
                    <span class="text-danger" id="empty-error"></span>
                    <table class="table table-sm table-bordered planning-table mb-0">
                        <thead class="bg-default">
                            <tr>
                                <td class="pl-5">Area of Planning</td>
                                <td class="text-center w-70px">Plan Status</td>
                                <td class="text-center w-110px">Level Of Importance</td>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                var filename = System.Text.RegularExpressions.Regex.Replace(item.PlanningItem.ItemName, @"Planning|[\s,]", "");
                                filename = filename + "Intro.pdf";
                                <tr>
                                    <td class="pl-5">
                                        <input type="hidden" asp-for="@Model[i].PlanningItemId" />
                                        <input type="hidden" asp-for="@Model[i].Guid" />
                                        <input type="hidden" asp-for="@Model[i].Id" />
                                        <a href="/docs/@filename" target="_blank">@item.PlanningItem.ItemName</a>
                                    </td>
                                    <td>
                                        <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                            <label>
                                                <input type="checkbox" asp-for="@Model[i].Active" class="@(!item.PlanningItem.ItemName.Contains("Social") && !item.PlanningItem.ItemName.Contains("Tax") ? "is-active":"inactive")" checked="@(item.Guid != Guid.Empty ? "checked" : null)" data-action="@(item.PlanningItem.ItemName.ToLower().Replace(" ", "-"))-intro">
                                                <span></span>
                                            </label>
                                        </span>
                                    </td>
                                    <td class="text-center">
                                        <select asp-for="@Model[i].Importance" class="form-control form-control-xs @(item.Guid != Guid.Empty?"":"d-none") importance" asp-items="EnumHelper.GetEnumSelectList<ImportanceEnum>()"></select>
                                        <span class="@(item.Guid != Guid.Empty?"d-none":"") dash">-</span>
                                    </td>
                                </tr>
                                i++;
                            }
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn-submit-planning">
                        <i class="la la-save"></i>Save
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>